summaryrefslogtreecommitdiff
path: root/qa/226
diff options
context:
space:
mode:
Diffstat (limited to 'qa/226')
-rwxr-xr-xqa/22646
1 files changed, 46 insertions, 0 deletions
diff --git a/qa/226 b/qa/226
new file mode 100755
index 0000000..0e85244
--- /dev/null
+++ b/qa/226
@@ -0,0 +1,46 @@
+#! /bin/sh
+# PCP QA Test No. 226
+# Check for missing dbpmda help text
+#
+# Copyright (c) 2009 Silicon Graphics, Inc. All Rights Reserved.
+# Copyright (c) 2013 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -ge 3801 ]
+then
+ ln $seq.out.3 $seq.out || exit 1
+elif [ $PCP_VER -ge 3800 ]
+then
+ ln $seq.out.2 $seq.out || exit 1
+else
+ ln $seq.out.1 $seq.out || exit 1
+fi
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo help | dbpmda 2>&1 | tee $tmp.cmds
+
+sed -e 's/ .*//' <$tmp.cmds \
+| LC_COLLATE=POSIX sort -u \
+| while read cmd
+do
+ [ -z "$cmd" ] && continue
+ [ "$cmd" = help ] && continue
+ echo "help $cmd"
+done \
+| dbpmda -ie
+
+# success, all done
+exit